import req from '@/request.js'
const portal = window.context.portal
export default {
  // 添加
  jobStatistical(data, cb) {
    req.post(portal + `/exam/statistical/jobStatistical`, {}).then(res => {
      cb(res.data)
    })
  },
  //最新成绩
  myResultsQuery(data, cb) {
    req.post(portal + `/exam/user/record/myResultsQuery`, data).then(res => {
      cb(res.data)
    })
  },
  // 通知公告
  notice(data, cb) {
    req.post(portal + `/exam/notice/query`, data).then(res => {
      cb(res.data)
    })
  },
  //公告查询
  findByPage(data, cb) {
    req.post(portal + `/exam/notice/findByPage`, data).then(res => {
      cb(res.data)
    })
  }
}
